XkbGetNamedIndicator(3)

NAME
XkbGetNamedIndicator - Look up the indicator map and other information for an indicator by name

SYNOPSIS

Bool XkbGetNamedDeviceIndicator (Display *dpy, unsigned int dev_spec, unsigned int led_class, unsigned int led_id, Atom name, int *ndx_rtrn, Bool *state_rtrn, XkbIndicatorMapPtr map_rtrn, Bool *real_rtrn);

Bool XkbGetNamedIndicator (Display *dpy, Atom name, int *ndx_rtrn, Bool *state_rtrn, XkbIndicatorMapPtr map_rtrn, Bool *real_rtrn);

ARGUMENTS

dpy connection to the X server

dev_spec
    keyboard device ID, or XkbUseCoreKbd

led_class
    feedback class, or XkbDfltXIClass

led_id
    feedback ID, or XkbDfltXIId

name
    name of the indicator to be retrieved

ndx_rtrn
    backfilled with the index of the retrieved indicator

state_rtrn
    backfilled with the current state of the retrieved indicator

map_rtrn
    backfilled with the mapping for the retrieved indicator

real_rtrn
    backfilled with True if the named indicator is real (physical)

DESCRIPTION

Xkb also allows applications to refer to indicators by name. Use XkbGetNames to get the indicator names. Using names eliminates the need for hard-coding bitmask values for particular keyboards. For example, instead of using vendor-specific constants such as WSKBLed_ScrollLock mask on Digital workstations or XLED_SCROLL_LOCK on Sun workstations, you can instead use XkbGetNamedDeviceIndicator to look up information on the indicator named "Scroll Lock."

If the device specified by device_spec has an indicator named name, XkbGetNamedDeviceIndicator returns True and populates the rest of the parameters with information about the indicator. Otherwise, XkbGetNamedDeviceIndicator returns False.

The ndx_rtrn field returns the zero-based index of the named indicator. This index is the bit position to use in any function call that requires a mask of indicator bits, as well as the indicator's index into the XkbIndicatorRec array of indicator maps. state_rtrn returns the current state of the named indicator (True = on, False = off). map_rtrn returns the indicator map for the named indicator. In addition, if the indicator is mapped to a physical LED, the real_rtrn parameter is set to True.

Each of the " _rtrn " arguments is optional; you can pass NULL for any unneeded " _rtrn " arguments.

XkbGetNamedIndicator is a convenience function that calls XkbGetNamedDeviceIndicator with a device_spec of XkbUseCoreKbd, a led_class of XkbDfltXIClass, and a led_id of XkbDfltXIId. It returns the return value from XkbGetNamedDeviceIndicator.

RETURN VALUES

True
    The XkbGetNamedIndicator and XkbGetNamedDeviceIndicator functions return True if the device specified by device_spec has an indicator named name.

False
    The XkbGetNamedIndicator and XkbGetNamedDeviceIndicator functions return False if the device specified by device_spec does not have an indicator named name.

SEE ALSO
XkbGetNames(3)